Subject: Re: running the latest cygwin on a windows 2003 server
From: Stefan Zachow <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jan 2004 17:20:09 +0100

Igor,

> What is the exact message you get when you try to run Cygwin programs as
> another user?  Which exact programs fail?  Do all the programs fail in 
> the
> same way?  

Unfortunetly users that are not in the administrator group cannot even start
a bash. That's why I took an Administrative user to create the cygcheck 
output.
The bash appears very shortly as a frame and disappears immediately again.

> BTW, it would have been more helpful to get a cygcheck output
> as a user for whom Cygwin doesn't work...  Also, check that all the
> programs and the necessary DLLs are readable and executable by everyone
> (instead of just you).  

The initial permissions for cygwin related stuff were

   user: adminst
   group: mkgroup
   permissions: rwx for user and group only

However, I changed these to: chmod -R o+ rX after installation

'mkgroup'  is strange. It seems that I cannot synchronize with
our network databases. A mkgroup -u -d DOMAIN gives the
following two lines of output:

LookupAccountName (\\Host, Domain Admins) failed with error 1332
LookupAccountName (\\Host, Domain Users) failed with error 1332

> I noticed you have "nontsec" set, so that might be
> what's hiding your problem (all files look executable, but the actual 
> ACLs
> don't allow other users to access them, and you don't see that via "ls"). 

I changed to ntsec as well - but no difference.

> On an unrelated note, it's usually not a good idea to have /cygdrive/* as
> a target for a mount.  If I understood correctly what you're trying to 
> do,
> simply connect to a network drive (using "net use", for example), and
> assign the letter "W:" to it.  Cygwin will automatically pick that up as
> "/cygdrive/w". 

Ah, OK. It wasn't clear to me that cygwin automatically
gathers all shared network drives.

> You might also want to investigate the "(no)smbntsec"
> option in the CYGWIN variable (see the User's Guide).

That's interesting, too. I haven't seen this one. But no change to
my problem.

   Stefan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/